GET v1/internal-fund-transfers
GET /v1/internal-fund-transfers
Get your internal fund transfer details between accounts.
Query Parameters:
| Name | Type | Description | Required |
|---|---|---|---|
| receiverAccountName | STRING | Receiver account's name. | NO |
| brokerCurrencyId | STRING | Currency id of the transfer. | NO |
| startDate | DATETIME | Beginning date of the period for which the data is requested. | NO |
| endDate | DATETIME | Ending date of the period for which the data is requested. | NO |
| page | Default value 1 | NO | |
| pageSize | Must be between 1 and 25 | YES | |
| order | -ASC -DESC Default value Desc | NO | |
| orderBy | Must be "createdAt" | YES |
Response
- 200
[
{
"id": "f28d3bd5713548b79c9787f2c00025b0",
"senderAccountId": "6df05f44559f41b787a7acc97d7ac00d",
"receiverAccountId": "06c2eef0d1e841b2bd45dd0bf64b52fc",
"amount": 150.0000000000000000,
"brokerCurrencyId": "a19552e699d84b6d864b13f43b082d2c",
"corporateId": "96d362c007534039969e6a67f5404d45",
"status": "Completed",
"failReason": null,
"createdAt": "2024-05-17T07:25:20.792809",
"createdBy": "[email protected]",
"updatedAt": null,
"updatedBy": null
}
]